#pragma once

class CRs232cUsb
{
private:
	HANDLE m_SerialPort;										// シリアルポートのハンドル
	char m_TransferBuffer[65536];								// 転送バッファ
	char m_ReceiveBuffer[65536];								// 受信バッファ

public:
	CString m_ReceiveData;										// 受信データ

public:
	CRs232cUsb();
	virtual ~CRs232cUsb();
	BOOL OpenInterface(CString PortName, DWORD BaudRate);
	BOOL CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
	CString GetLastErrorMessage(DWORD MessageId);
};
